Subject: Re: [RFD PATCH 0/3] Free all the memory!

From: Matthieu Moy <[email-masked]>
Date: Tue, 17 May 2016 11:05:06 +0200

Stefan Beller <[email-masked]> writes:

> The end goal of this (unfinished) series is to close all intentional memory
> leaks when enabling the -DFREE_ALL_MEMORY switch. This is just
> demonstrating how the beginning of such a series could look like.

One potential issue with this is: if all developers and the testsuite
use this -DFREE_ALL_MEMORY, the non-free-all-memory setup will not be
well tested, and still this is the one used by real people. For example,
if there's a really annoying memory leak hidden by FREE_ALL_MEMORY, we
may not notice it.

Perhaps it'd be better to activate FREE_ALL_MEMORY only when tools like
valgrind or so is used.

-- 
Matthieu Moy
http://www-verimag.imag.fr/~moy/